Package org.apache.commons.lang3.function

# Interface TriConsumer<T,U,V>

Type Parameters:
  `T` - type of the first argument
  `U` - type of the second argument
  `V` - type of the third argument

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface TriConsumer<T,U,V>
Represents an operation that accepts three input arguments and returns no result. This is the three-arity specialization of `Consumer`. Unlike most other functional interfaces, `TriConsumer` is expected to operate via side effects.

This is a `FunctionalInterface` whose functional method is `accept(Object, Object, Object)`.

Provenance: Apache Log4j 2.7

Since:
  3.13.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(T k, U v, V s)`
  Performs the operation given the specified arguments.
  `default TriConsumer<T,U,V>`
  `andThen(TriConsumer<? super T,? super U,? super V> after)`
  Returns a composed `TriConsumer` that performs, in sequence, this operation followed by the `after` operation.

- ## Method Details

  - ### accept

    void accept(T k, U v, V s)
    Performs the operation given the specified arguments.
    Parameters:
      `k` - the first input argument
      `v` - the second input argument
      `s` - the third input argument

  - ### andThen

    default TriConsumer<T,U,V> andThen(TriConsumer<? super T,? super U,? super V> after)
    Returns a composed `TriConsumer` that performs, in sequence, this operation followed by the `after` operation. If performing either operation throws an exception, it is relayed to the caller of the composed operation. If performing this operation throws an exception, the `after` operation will not be performed.
    Parameters:
      `after` - the operation to perform after this operation.
    Returns:
      a composed `TriConsumer` that performs in sequence this operation followed by the `after` operation.
    Throws:
      `NullPointerException` - if `after` is null.